# split.c File Reference

## Detailed Description

Code to handle opening and reading of split raw disk images.

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "img_tools.h"`
`#include "split.h"`

## Functions

void | split_imgstat (TSK_IMG_INFO *img_info, FILE *hFile)
| Display information about the disk image set.
OFF_T | split_get_size (TSK_IMG_INFO *img_info)
| Returns the number of bytes in the split disk image set.
void | split_close (TSK_IMG_INFO *img_info)
| Free the memory and close the file handles for the disk image.
TSK_IMG_INFO * | split_open (int num_img, const TSK_TCHAR **images, TSK_IMG_INFO *next)
| Open the set of disk images as a set of split raw images.

## Function Documentation

void split_close | ( | TSK_IMG_INFO * | img_info | ) |

Free the memory and close the file handles for the disk image.

Parameters:

  | img_info | Disk image to close

OFF_T split_get_size | ( | TSK_IMG_INFO * | img_info | ) |

Returns the number of bytes in the split disk image set.

Parameters:

  | img_info | Disk image to analyze

Returns:
  Number of bytes in disk image

void split_imgstat | ( | TSK_IMG_INFO * | img_info,
|  | FILE * | hFile
| ) |

Display information about the disk image set.

Parameters:

  | img_info | Disk image to analyze
  | hFile | Handle to print information to

TSK_IMG_INFO* split_open | ( | int | num_img,
|  | const TSK_TCHAR ** | images,
|  | TSK_IMG_INFO * | next
| ) |

Open the set of disk images as a set of split raw images.

Parameters:

  | num_img | Number of images in set
  | images | List of disk image paths (in sorted order)
  | next | Pointer to next image type abstraction (can be NULL)

Returns:
  NULL on error